openssh vulnerabilities

Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the openssh package. This does not include vulnerabilities belonging to this package’s dependencies.

Report new vulnerabilities
Vulnerability Vulnerable versions Snyk patch Published
  • M
Information Exposure
* Not available 29 Jun, 2020
  • H
Improper Input Validation
* Not available 02 Jun, 2020
  • M
Improper Encoding or Escaping of Output
<1:6.7p1-5+deb8u8 Not available 15 Jan, 2019
  • M
Inappropriate Encoding for Output Context
* Not available 15 Jan, 2019
  • M
Directory Traversal
<1:6.7p1-5+deb8u8 Not available 15 Jan, 2019
  • M
Incorrect Authorization
<1:6.7p1-5+deb8u8 Not available 10 Jan, 2019
  • M
Information Exposure
* Not available 25 Sep, 2018
  • M
Race Condition
<1:6.7p1-5+deb8u5 Not available 22 Aug, 2018
  • H
NULL Pointer Dereference
<1:6.7p1-5+deb8u6 Not available 21 Jan, 2018
  • M
Incorrect Permission Assignment for Critical Resource
<1:6.7p1-5+deb8u6 Not available 26 Oct, 2017
  • H
Security Features
<1:6.7p1-5+deb8u6 Not available 11 Apr, 2017
  • M
Information Exposure
<1:6.7p1-5+deb8u3 Not available 13 Feb, 2017
  • H
Access Restriction Bypass
* Not available 05 Jan, 2017
  • H
Out-of-Bounds
<1:6.7p1-5+deb8u6 Not available 05 Jan, 2017
  • H
Untrusted Search Path
<1:6.7p1-5+deb8u6 Not available 05 Jan, 2017
  • M
Key Management Errors
<1:6.7p1-5+deb8u6 Not available 05 Jan, 2017
  • H
Resource Management Errors
* Not available 09 Dec, 2016
  • H
Improper Input Validation
<1:6.7p1-5+deb8u6 Not available 07 Aug, 2016
  • H
Access Restriction Bypass
<1:6.7p1-5+deb8u2 Not available 01 May, 2016
  • M
CVE-2016-3115
<1:6.7p1-5+deb8u6 Not available 22 Mar, 2016
  • M
Information Exposure
<1:6.7p1-5+deb8u1 Not available 14 Jan, 2016
  • H
Out-of-Bounds
<1:6.7p1-5+deb8u1 Not available 14 Jan, 2016
  • L
Improper Input Validation
<1:6.7p1-5+deb8u6 Not available 24 Aug, 2015
  • H
Access Restriction Bypass
<1:6.7p1-5+deb8u6 Not available 24 Aug, 2015
  • M
Access Restriction Bypass
<1:6.7p1-5+deb8u6 Not available 03 Aug, 2015
  • H
Access Restriction Bypass
<1:6.7p1-5+deb8u6 Not available 03 Aug, 2015
  • M
Improper Input Validation
<1:6.6p1-1 Not available 27 Mar, 2014
  • M
Access Restriction Bypass
<1:6.6p1-1 Not available 18 Mar, 2014
  • M
Access Restriction Bypass
<1:6.4p1-1 Not available 08 Nov, 2013
  • M
CVE-2010-5107
<1:6.0p1-4 Not available 07 Mar, 2013